function [output]=calculate_routing_table_nsf_OCS()

N=14;
L=42;
%W=ones(1,L*2);
O=zeros(1,L);
D=zeros(1,L);
O=[1 2 1 3 2 3 1 4 2 8 3 6 5 6 4 5 5 7 7 8 8 9 6 10 6 13 4 11 11 12 9 12 9 14 11 14 12 13 13 14 9 10 ];
%W=[260 260 252 252 380 380 324 324 868 868 416  416 272 272 248 248 292 292 212  212 224 224 704 704 1036 1036 1140 1140 408 408 536 536 668 668 684 684 664 664 352 352 752 752]*1000;
W=ones(1,L);
for i=1:L/2
    D(i*2-1)=O(i*2);
    D(i*2)=O(i*2-1);
end
DG = sparse(O,D,W);
OD_no=N*(N-1);


OD_no_table=zeros(N,N);
sum=1;
for i1=1:N
    for i2=1:N
        if (i1~=i2)
            OD_no_table(i1,i2)=sum;
            sum=sum+1;
        end
    end
end

node_path_table=zeros(N,N);
for i=1:L/2
    node_path_table(O(i*2-1),D(i*2-1))=i;
    node_path_table(O(i*2),D(i*2))=i;
end

traffic=zeros(1,OD_no);
routing_table=zeros(OD_no,15);
for i=1:N
    for j=1:N
        if( i~=j)
            OD_pair=OD_no_table(i,j);
            [dist,path,pred] = graphshortestpath(DG,i,j);
            path_length=length(path)-1;
            for k=1:path_length
                origin=path(k);
                destination=path(k+1);
                link=node_path_table(origin,destination);
                routing_table(OD_pair,k)=link;
            end
            
        end
    end
end
output=routing_table;
            
    
   
   
   
