function [output,output2]=calculate_routing_table_nsf_add_deflection3()
%deflection 3 times
N=14;
L=42;
%W=ones(1,L*2);
O=zeros(1,L);
D=zeros(1,L);
O=[1 2 1 3 2 3 1 4 2 8 3 6 5 6 4 5 5 7 7 8 8 9 6 10 6 13 4 11 11 12 9 12 9 14 11 14 12 13 13 14 9 10 ];
%W=[260 260 252 252 380 380 324 324 868 868 416  416 272 272 248 248 292 292 212  212 224 224 704 704 1036 1036 1140 1140 408 408 536 536 668 668 684 684 664 664 352 352 752 752]*1000;
W=ones(1,L);
for i=1:L/2
    D(i*2-1)=O(i*2);
    D(i*2)=O(i*2-1);
end
DG = sparse(O,D,W);
OD_no=N*(N-1);


OD_no_table=zeros(N,N);
sum=1;
for i1=1:N
    for i2=1:N
        if (i1~=i2)
            OD_no_table(i1,i2)=sum;
            sum=sum+1;
        end
    end
end

deflection_to=zeros(OD_no,50,22);

node_path_table=zeros(N,N);
for i=1:L
    node_path_table(O(i),D(i))=i;
end
traffic=zeros(1,OD_no);
routing_table=zeros(OD_no,50,22);
for i=1:N
    for j=1:N
        if( i~=j)
            OD_pair=OD_no_table(i,j);
            [dist,path,pred] = graphshortestpath(DG,i,j);
            path_length=length(path)-1;
            DG1=DG;
            for k=1:path_length
                origin=path(k);
                destination=path(k+1);
                link=node_path_table(origin,destination);
                routing_table(OD_pair,1,k)=link;
                DG1(origin,destination)=0;
                DG1(destination,origin)=0;
            end
            slot=2;
            for k=path_length:-1:1
                %destination=path(path_length+1);
                origin=path(k);
                %destination=path(path_length+1);
                [dist1,path1,pred1]=graphshortestpath(DG1,origin,j);
                path_length1=length(path1)-1;
                
                if path_length1>0
                    deflection_to(OD_pair,1,k)=slot;
                    slot1=slot;
                    DG2=DG1;
                    
                        routing_table(OD_pair,slot,1:k-1)=routing_table(OD_pair,1,1:k-1);
                    
                    for q=1:path_length1
                        origin1=path1(q);
                        destination1=path1(q+1);
                        link=node_path_table(origin1,destination1);
                        routing_table(OD_pair,slot,k+q-1)=link;
                        DG2(origin1,destination1)=0;
                        DG2(destination1,origin1)=0;
                    end
                    slot=slot+1;
                    
                    
                    for k2=path_length1:-1:1
                        origin1=path1(k2);
                        [dist2,path2,pred2]=graphshortestpath(DG2,origin1,j);
                        path_length2=length(path2)-1;
                        
                        if path_length2>0
                            deflection_to(OD_pair,slot1,k+k2-1)=slot;
                            DG3=DG2;
                            slot2=slot;
                            routing_table(OD_pair,slot,1:k+k2-1-1)=routing_table(OD_pair,slot1,1:k+k2-1-1);
                            for q2=1:path_length2
                                origin2=path2(q2);
                                destination2=path2(q2+1);
                                link=node_path_table(origin2,destination2);
                                routing_table(OD_pair,slot,k+k2+q2-2)=link;
                                DG3(origin2,destination2)=0;
                                DG3(destination2,origin2)=0;
                            end
                            slot=slot+1;
                            
                            for k3=path_length2:-1:1
                                origin2=path2(k3);
                                [dist3,path3,pred3]=graphshortestpath(DG3,origin2,j);
                                 path_length3=length(path3)-1;
                                 if path_length3>0
                                     deflection_to(OD_pair,slot2,k+k2+k3-2)=slot;
                                     routing_table(OD_pair,slot,1:k+k2+k3-2-1)=routing_table(OD_pair,slot2,1:k+k2+k3-2-1);
                                     for q3=1:path_length3
                                         origin3=path3(q3);
                                         destination3=path3(q3+1);
                                         link=node_path_table(origin3,destination3);
                                         routing_table(OD_pair,slot,k+k2+k3+q3-3)=link;
                                         
                                     end
                                     slot=slot+1;
                                 end
                                 DG3(path2(k3),path2(k3+1))=1;
                                 DG3(path2(k3+1),path2(k3))=1;
                            end
                        end
                        DG2(path1(k2),path1(k2+1))=1;
                        DG2(path1(k2+1),path1(k2))=1;
                    end
                                
                            
                end
                DG1(path(k),path(k+1))=1;
                DG1(path(k+1),path(k))=1;
            end
                
            
            
        end
    end
end
output=routing_table;
output2=deflection_to;
            
    
   
   
   
